Subject: AD review for: draft-ietf-netconf-ssh-04.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 29 Jul 2005 21:19:29 +0200

Here is my complete AD review.
As far as I am concerned this is ready for IETF Last Call.
But if the authors do want to do a quick rev to address
any of these comments, then we can wait.
I am waiting for a response for the protocol doc comments
too, and based on that response it is possible we may want
another rev for that before we do IETF Last Call. In that
case, maybe we should also revise this doc.

Bert
------------------------------------------

AD review for: draft-ietf-netconf-ssh-04.txt

- I believe we discussed that netconf over ssh was going
  to be mandatory to implement. But I cannot find a statement
  about that. Neither in this doc, not in the protocol doc.

- missing some text about the use of MUST SHOULD and such and a 
  citation and normative reference to RFC2119

nits and typos:

- I think that in the abstract, I would do
  s/NETCONF configuration protocol/NETCONF protocol/

- you are using ]]>]]> before you have explained what it means.
  Might be better to explain earlier.

- FIrst para sect 5.

   NETCONF is used to access and modify configuration and state
   information, so the ability to access this protocol should be limited
   to users and systems that are authorized to view or modify the
   agent's configuration and state data.

  I think I would change the sequence of "configuration and state data"
  to allign with the sequence of the verbs "view or modify".
  I doubt that state data can be modified (or can it? if so, ignore
  this comment, I may have missed something then).

Checking the references/citations I get:

  !! Missing citation for Informative reference:
  P008 L030:     [RFC0854]  Postel, J. and J. Reynolds, "Telnet Protocol

  !! Missing citation for Informative reference:
  P008 L036:     [RFC3667]  Bradner, S., "IETF Rights in Contributions", RFC 3667,

  I believe I also do not see a citation to RFC3668.
  I further believe that there is no reason to include citations
  and references to the RFCs 3667/3668 or its successors.
  
w.r.t. IDNITS, I understand the doc was submitted in April, so
before the new rfc3978/79 boilerplate was mandatory.
idnits finds other issues also (as also reported by WG chair).
But for completeness I include it here:

$ idnits draft-ietf-netconf-ssh-04.txt
idnits 1.74

draft-ietf-netconf-ssh-04.txt:

  Checking nits according to http://www.ietf.org/ID-Checklist.html:
    Checking conformance with RFC 3978/3979 boilerplate...
  * The document seems to lack an RFC 3978 Section 5.1 IPR Disclosure
    Acknowledgement.
    (The document uses RFC 3667 boilerplate or RFC 3978-like
    boilerplate instead of verbatim RFC 3978 boilerplate.  After 6 May 2005,
    submission of drafts without verbatim RFC 3978 boilerplate is not
    accepted.)
  * There are 38 instances of too long lines in the document, the
    longest one being 5 characters in excess of 72.

  Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
    Nothing found here (but these checks do not cover all of
    1id-guidelines.txt yet).

  Miscellaneous warnings:
    None.

    Run idnits with the --verbose option for more detailed information.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>